﻿# Rmcd - Rename to Media Creation Datetime

## Required  

Windows 10 64bit  
.net framework 4.8

.net framworkが入っていればWindows8でも7でも動くと思いますが、所有していないのでテストしていません。32bitに関しても同様です。  
version 4.8については2020年10月現在で、Windows Updateを行っていれば入っているはずです。  

[Windows 10 April 2018 Update（バージョン 1803）](https://docs.microsoft.com/ja-jp/dotnet/framework/migration-guide/how-to-determine-which-versions-are-installed#detect-net-framework-45-and-later-versions)  

動かない、または4.8が入っていない場合は下記でダウンロードできます。  

[Windows 用の Microsoft .NET Framework 4.8 オフライン インストーラー](https://support.microsoft.com/ja-jp/help/4503548/microsoft-net-framework-4-8-offline-installer-for-windows)

## Install / Uninstall

インストーラなどは使用していません。ダウンロードした圧縮ファイルを任意の場所に展開して使用。不要になった場合はディレクトリごと削除してください。

## Release Notes

### 1.0

とりあえず作りました。

### 1.1

変更ファイル名のパターンを複数用意しました。

### 1.2

メディアの作成日時、写真は取れませんね……。テストしてませんでした。fixしました。

## 使い方

画面に書いてある通りです。

## メモ

画面はWeb\(html, javascript, css\)で作っていますが、ブラウザエンジンがIE7相当なので凝ったことは出来ません。CefSharpを今更使い倒すのもなと思い、完全にWebView2待ちです。

## 著作権および免責事項

本アプリケーションはフリーウェアです。個人/団体/企業、個人利用/商用利用を問わず、自由に使用することが出来ます。  
著作権については開発者である[dobusarai](https://twitter.com/dobusarai)が保有しております。  

このアプリケーションを使用して生じたすべての損害について、著作者本人及び関係者、また所属する団体/組織は一切の責任を負いません。  
各自の責任においてご使用ください。  
